# Get Eligibility

> Channels API · deployment

```http
GET /ui/connectors/channels-api/latest/deployment/eligibility/
```

Return whether channels-api can take over this box, plus the current state.

## Example request

```bash
curl -X GET "/ui/connectors/channels-api/latest/deployment/eligibility/"
```

## Responses

### 200 — Successful Response

- `canRun` · boolean · **Required**
- `deploymentState` · string · **Required**
- `resources` · list of objects · Optional · _Defaults to []_
  - Array items (object):
    - `type` · string · **Required**
    - `id` · string · **Required**
    - `channel` · object · Optional
      - One of the following variants:
        - **string** (string)
        - **null** (null)
    - `canUpgrade` · object · Optional
      - One of the following variants:
        - **boolean** (boolean)
        - **null** (null)
    - `reason` · object · Optional
      - One of the following variants:
        - **string** (string)
        - **null** (null)

Example:

```json
{
  "canRun": true,
  "deploymentState": "string",
  "resources": []
}
```

---

Source spec: `channels-api` · operationId: `get_eligibility_deployment_eligibility__get`
